GitHub现强制要求Top-500 npm包维护者启用双因素身份认证

摘要:

今年 2 月,GitHub 宣布 Top-100 npm 包维护者要求启用 2FA(双因素身份认证);今年 5 月,GitHub 要求所有贡献代码的用户在2023年底前启用 2FA;现在,GitHub 将这项要求进一步扩大到 Top-500 npm 包维护者。

访问:

阿里云服务器精选特惠:1核1G云服务器低至0.9元/月

访问:

微软中国官方商城 - 首页

QQ截图20220602142659.jpg

在 GitHub 官方博文中写道:“按照依赖使用热度,在 npm 库上对 top-500 包的维护者现强制要求启动双因素认证”。本月初,GitHub 表示只有 16.5% 的 GitHub 活跃用户和 6.44% 的 npm 用户使用 2FA。坦白说,这样的用户比例是偏低的。

GitHub 的首席安全官 Mike Hanley 表示:“被破坏的账户可以被用来窃取未公开的私人代码或对该代码进行恶意修改。这不仅使与被入侵账户相关的个人和组织面临风险,而且也使受影响代码的任何用户面临风险。因此,对更广泛的软件生态系统和供应链产生下游影响的可能性是很大的”。

GitHub 在 2021 年 12 月 7 日至 2022 年 1 月 4 日之间首次推出了增强登录验证。GitHub 目标将让所有 npm 发布者加入增强的登录验证,在现在扩大到 top-500 npm 包维护者之后,GitHub 的下一步是再扩大到所有依赖超过 500 或者每周下载量超过 100 万的软件包。

根据在此初始阶段的调查结果,GitHub 计划在 2022 年 3 月 1 日为所有 npm 帐户注册增强登录验证。我们将在 2 月 16 日和 2 月 23 日发布之前运行两个限制日期,我们将在 24 小时内临时选择所有帐户,以确保在我们为所有客户永久推出此功能时不会出现意外。要了解有关增强登录验证的更多信息,您可以访问我们的文档。

查看评论
created by ceallan